Skip to navigation

Start Specific Team Agent

Starts a specific agent, identified by address

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

slugstringRequired
addressstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Response

Successful Response
namestring
Name of the agent.
addressstring
Bech32 address of the agent.
runningboolean
Whether the agent is currently running.
revisioninteger
Revision number of the agent.
domainstring or nullOptional
Domain name associated with the agent.
prefixenum or nullOptionalDefaults to test-agent
Address prefix of the agent.
Allowed values:
compiledboolean or nullOptional
Whether the agent code has been compiled.
code_digeststring or nullOptional
Digest of the agent's code.
wallet_addressstring or nullOptional
Wallet address of the agent.
code_update_timestampdatetime or nullOptional
Last time the code was updated.
creation_timestampdatetime or nullOptional
Time when the agent was created.
avatar_urlstring or nullOptional
URL to the agent's avatar image.
maintainer_idstring or nullOptional
ID of the user maintaining the agent.
readmestring or nullOptional
README description of the agent.
short_descriptionstring or nullOptional
Short description for display.
metadataobject or nullOptional
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error